POST resource/chage-categories-resource
Modify a categories resource
Request Information
Headers
HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.
Sample:
HTTP_AUTHORIZATION:
OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
oauth_signature_method="HMAC-SHA1",
oauth_timestamp="1462882011",
oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
Body Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| community_short_name |
Community short name |
string |
Required |
| resource_id |
Resource to be modify categories |
globally unique identifier |
Optional |
| categories |
List of categories to modify |
Collection of globally unique identifier |
Optional |
Request Formats
application/json, text/json
Sample:
{
"community_short_name": "sample string 1",
"resource_id": "2443d9d6-646d-4b03-a6e1-1c9a75e5a09f",
"categories": [
"9fd726ed-15f4-4690-8c55-f87581407e9f",
"5cb82864-fd29-4ec9-9c0b-7d228ef3496c"
]
}
Response Information
Resource Description
| Description | Type |
|---|---|
|
True if modify correct |
Boolean |
Response Formats
application/json, text/json
Sample:
true
Response HTTP status code
On success, the response contains 200 code.
On fail, throws a WebException with code:
- 401 Unauthorized if the OAuth signature is invalid
- 400 Bad Request if the params are invalid
- 500 Internal server error if something goes wrong...
